<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Google iniciar sesión</title>
    <meta name="google-signin-client_id" content="598049916485-of9bn105640tru2pssmiebvinru2sdgn.apps.googleusercontent.com">

    <script src="https://apis.google.com/js/platform.js" async defer></script>


</head>
<body>

<h1>Iniciar sesión en Google</h1>

<div class="g-signin2" data-onsuccess="onSignIn"></div>


<a href="#" onclick="signOut();">Cerrar sesión</a>





<script>
    function onSignIn(googleUser) {
        let profile = googleUser.getBasicProfile();

        console.log('ID: ' + profile.getId()); // Do not send to your backend! Use an ID token instead.
        console.log('Name: ' + profile.getName());
        console.log('Image URL: ' + profile.getImageUrl());
        console.log('Email: ' + profile.getEmail()); // This is null if the 'email' scope is not present.

        let  id_token = googleUser.getAuthResponse().id_token;
        console.log(id_token);
    }


    function signOut() {
        let auth2 = gapi.auth2.getAuthInstance();
        auth2.signOut().then(function () {
            console.log('User signed out.');
        });
    }
</script>

</body>
</html>
